Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.intercept.method
Class MethodInvocationPrivilegeEvaluator

    java.lang.Object
      org.acegisecurity.intercept.method.MethodInvocationPrivilegeEvaluator

All Implemented Interfaces:
  InitializingBean

    public class MethodInvocationPrivilegeEvaluator

extends Object
implements InitializingBean

Allows users to determine whether they have "before invocation" privileges for a given method invocation.

Of course, if an `AfterInvocationManager` is used to authorize the result of a method invocation, this class cannot assist determine whether or not the `AfterInvocationManager` will enable access. Instead this class aims to allow applications to determine whether or not the current principal would be allowed to at least attempt to invoke the method, irrespective of the "after" invocation handling.

Version:
  $Id: MethodInvocationPrivilegeEvaluator.java,v 1.2 2005/11/25 04:56:01 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`MethodInvocationPrivilegeEvaluator()`

Method Summary
`void` | `afterPropertiesSet()`
`boolean` | `isAllowed(org.aopalliance.intercept.MethodInvocation mi, Authentication authentication)`
`void` | `setSecurityInterceptor(AbstractSecurityInterceptor securityInterceptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInvocationPrivilegeEvaluator

    public MethodInvocationPrivilegeEvaluator()

Method Detail

### isAllowed

    public boolean isAllowed(org.aopalliance.intercept.MethodInvocation mi,
                             Authentication authentication)

### setSecurityInterceptor

    public void setSecurityInterceptor(AbstractSecurityInterceptor securityInterceptor)

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.